Name:           perl-IO-Socket-Timeout
Version:        0.27
Release:        2%{?dist}
Summary:        IO::Socket with read/write timeout
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Socket-Timeout/
Source0:        http://www.cpan.org/modules/by-module/IO/IO-Socket-Timeout-%{version}.tar.gz
# includes Test::More with a higher version than available for epel6
Patch1:         test_simple_include.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(bytes)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Errno)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(PerlIO::via::Timeout) >= 0.28
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Synopsis)
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(warnings)
Requires:       perl(PerlIO::via::Timeout) >= 0.28
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(PerlIO::via::Timeout\\)$
%description
IO::Socket provides a way to set a timeout on the socket, but the timeout
will be used only for connection, not for reading / writing operations.

%prep
%setup -q -n IO-Socket-Timeout-%{version}
%if 0%{?el6}
%patch1 -p1
%endif

%build
PERL_MM_FALLBACK_SILENCE_WARNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{?el6}
PERL5LIB=test_simple_patch/lib make test
%else
make test
%endif

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.27-2
- Perl 5.20 rebuild

* Mon Jul 07 2014 David Dick <ddick@cpan.org> - 0.25-1
- Update to 0.27.  Test suite updates

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-3
* Mon Jul 07 2014 David Dick <ddick@cpan.org> - 0.25-1
- Update to 0.25

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 David Dick <ddick@cpan.org> - 0.24-2
- Removed unnecessary BR to allow EL6 build

* Fri Apr 04 2014 David Dick <ddick@cpan.org> - 0.24-1
- Initial release
